Skip to main content

Coins

GET 

/coins

Returns the list of coins and their respective networks available on SideShift.ai.

fixedOnly, variableOnly, depositVariableOnly and settleVariableOnly return false when no network applies, otherwise an array of the networks that do, including for single network assets. depositOffline and settleOffline follow the same pattern, except they return true instead of an array when the asset has a single network and that network is paused.

depositVariableOnly lists networks that only support variable rate shifts as a deposit. settleVariableOnly lists networks that only support variable rate shifts as a settle. variableOnly is the union of those two fields and is deprecated.

tip

Do not request a quote or create a fixed shift when the deposit network is in depositVariableOnly or the settle network is in settleVariableOnly. Use a variable shift instead.

tokenDetails[network].contractAddress can be used as depositCoin in /v2/quotes and /v2/shifts/variable when you need to target a specific token implementation on a specific network.

Responses

OK
Schema
  • Array [

  • networksstring[]required
    coinstringrequired
    namestringrequired
    hasMemobooleanrequireddeprecated
    fixedOnlystring[] or booleanrequired
    variableOnlystring[] or booleanrequireddeprecated
    depositVariableOnlystring[] or booleanrequired
    settleVariableOnlystring[] or booleanrequired

    tokenDetails

    object(s)

    network

    object

    contractAddressstringrequired

    can be used as depositCoin

    decimalsnumberrequired
    networksWithMemostring[]required
    depositOfflinestring[] or boolean
    settleOfflinestring[] or boolean
  • ]